# James Musselman

<!--
_A values oriented tech enthusiast with a strong background in Systems
Administration, Software Development, and Development Operations who has a
penchant for solving problems._
-->

A software engineering professional dedicated to delivering high-quality solutions.

**Email**: <James@musselman.dev> | **Phone**: [(361) - 655 - 8612](tel:+13616558612) | **LinkedIn**:
[/in/musselmandev](https://linkedin.com/in/musselmandev) | **Location**: Central
Texas

## Skills

<!--
**Certified**: [Microsoft
office](https://www.credly.com/badges/61a53f4f-437d-4b7a-bc72-395ba3234ef0)
-->

**Programming:** Python, SQL, git, HTML/CSS, Java 8, Go,
Rust, Pandas, pyTorch, Numpy,
Matplotlib, Scikit-learn

**Server Administration**: Linux/SELinux, Grafana, Loki, LDAP, Firewalls, SSH,
Containerization

## Education

**B.S. in Computer Science, Texas Lutheran University** _Cum Laude_ (2020-2024)

<!--enhancing- **_Member_**: Student Government Association, National Society of Leadership
  and Success, Alpha Kappa Psi Business and Leadership Fraternity
- **_Officer_**: Association of Computing Machinery-->

## Experience

**Freelance, Musselman Development** (July 2024 - Present, Seguin, Texas)

- **Containerization & Deployment**: Streamlined application deployment by
  orchestrating containerized environments with Docker and Podman, enhancing
  operational efficiency.
- **Training & Security Awareness**: Conducted training on OS Security, Social
  Engineering, and Email Security, boosting team awareness and decreasing security
  incidents.
- **Automation & Efficiency**: Automated tasks using Python, Bash, and
  PowerShell, cutting deployment times by over 75% and increasing productivity.
- **CI/CD Implementation**: Established CI/CD pipelines with GitHub Actions and
  Jenkins, ensuring consistent and reliable software delivery through automated
  testing and deployment.

**Student Office Aide, Texas Lutheran University** (February 2023 - May 2024,
Seguin, Texas)

- **Visitor Assistance**: Greeted and assisted visitors, students, and staff,
  enhancing office efficiency for professors and administration.
- **Equipment Coordination**: Managed maintenance and repairs of office
  equipment, minimizing downtime and maintaining productivity.
- **Document Organization**: Improved organization of paperwork, reducing
  document misfiling and enhancing storage and retrieval efficiency.
- **Confidentiality Maintenance**: Ensured compliance with privacy regulations
  by safeguarding and/or destroying sensitive information and protecting
  administrative and academic integrity.

**Curate/Tech Lead, Texas Lutheran University** (January 2023 - May 2024,
Seguin, Texas)

- **Service Organization**: Collaborated with the Campus Ministry team to
  execute weekly services, enhancing community participation and spiritual growth.
- **Chapel Preparation**: Set up the chapel for services, fostering a welcoming
  environment that increased attendance.
- **Streaming Management**: Managed audio-visual tasks for high-quality
  streaming, expanding access for remote participants and boosting engagement.
- **Equipment Maintenance**: Ensured reliable operation of audio-visual
  equipment, preventing technical issues and supporting seamless worship
  experiences.

## Projects

**[_Notatio, a web based text
editor_](https://gitfor.ge/musselman/notatio)** (August 2024 - December 2024)

- Designed, Planned, Researched and Implemented a web based note taking software
  using the Go Programming language and a CI/CD build pipeline for Docker
  container images using Jenkins as a senior capstone project
